org.openstreetmap.josm.plugins.streetside.io.download

## Class SequenceDownloadRunnable

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.io.download.BoundsDownloadRunnable
  - - org.openstreetmap.josm.plugins.streetside.io.download.SequenceDownloadRunnable

- All Implemented Interfaces:
    Runnable

      public final class SequenceDownloadRunnable
      extends BoundsDownloadRunnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideData` | `data`
    `private static Function<Bounds,URL>` | `URL_GEN`

    - ### Fields inherited from class org.openstreetmap.josm.plugins.streetside.io.download.BoundsDownloadRunnable

      `bounds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceDownloadRunnable(StreetsideData data, Bounds bounds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Function<Bounds,URL>` | `getUrlGenerator()`
    `void` | `run(URLConnection con)`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.io.download.BoundsDownloadRunnable

      `logConnectionInfo, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          private final StreetsideData data

    - #### URL_GEN

          private static final Function<Bounds,URL> URL_GEN

  - ### Constructor Detail

    - #### SequenceDownloadRunnable

          public SequenceDownloadRunnable(StreetsideData data,
                                          Bounds bounds)

  - ### Method Detail

    - #### run

          public void run(URLConnection con)
                   throws IOException

      Specified by:
        `run` in class `BoundsDownloadRunnable`
      Throws:
        `IOException`

    - #### getUrlGenerator

          protected Function<Bounds,URL> getUrlGenerator()

      Specified by:
        `getUrlGenerator` in class `BoundsDownloadRunnable`

JOSM Plugins